%define name k9copy
%define bname K9copy
%define version 1.0.4
%define release %mkrel 3
%define distsuffix plf
%define __libtoolize /bin/true
%define __cputoolize /bin/true

%define lib_name_orig %mklibname %name
%define lib_major 0
%define lib_name %lib_name_orig%lib_major


Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	K9copy is a frontend for vamps 
License:	GPL
URL:		http://k9copy.sourceforge.net/
Group:		Video
Source:		http://ovh.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}-2.tar.bz2
Source10:	%{name}-16.png
Source11:	%{name}-32.png
Source12:	%{name}-48.png
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	kdelibs-devel >= 3.2
BuildRequires:	libdvdread-devel

Requires:	vamps
Requires:	dvdauthor
Requires:	mjpegtools
Requires:	dvd+rw-tools
Requires:	toolame
Requires:	%lib_name

%description
k9copy is a frontend for vamps that allow 
the copy of one or more titles from a DVD9 to a DVD5. 
This package is in PLF, as DVD ripping might break local laws.


%package -n %lib_name-devel
Summary:	Development files from k9copy
Group:		Development/KDE and Qt
Requires:	%lib_name = %{version}
Provides:	lib%{name}-devel = %{version}
Provides:	%{name}-devel = %{version}
Obsoletes:	%{name}-devel

%description -n %lib_name-devel
Headers files for %name
This package is in PLF, as DVD ripping might break local laws.

%package -n %lib_name
Summary:	Headers files for k9copy
Group:		Video
Requires:	%{name} = %{version}

%description -n %lib_name
This package contains the library needed to run %name.
This package is in PLF, as DVD ripping might break local laws.

%prep
%setup -n %{name}-%{version}-2 -q

%build
%configure --disable-rpath \
%ifarch x86_64
	--enable-libsuffix=64 \
%endif
	--with-xinerama
%make

%install
rm -rf %buildroot
%{makeinstall_std}

#menus
install -d %buildroot/%{_menudir}
cat <<EOF >%buildroot/%{_menudir}/%{name}
?package(%{name}):command="%{_bindir}/%{name}" \
	icon=%{name}.png \
	needs="x11" \
	section="Multimedia/Video" \
	title="K9copy"\
	longtitle="%{summary}" \
	xdg="true"
EOF

#TODO: Fix Menu, it appears directly in Multimedia, not in Multimedia/Video
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="Qt" \
  --add-category="Video" \
  --add-category="X-MandrivaLinux-MultiMedia-Video" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applnk/Multimedia $RPM_BUILD_ROOT%{_datadir}/applnk/Multimedia/*

install -m644 %{SOURCE10} -D %buildroot/%{_miconsdir}/%{name}.png
install -m644 %{SOURCE11} -D %buildroot/%{_iconsdir}/%{name}.png
install -m644 %{SOURCE12} -D %buildroot/%{_liconsdir}/%{name}.png

%find_lang %name

%clean
rm -rf %buildroot

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS
%attr(0755,root,root) %{_bindir}/%{name}
%_menudir/%{name}
%_datadir/applnk/Multimedia/%{name}.desktop
%_datadir/apps/%{name}/%{name}ui.rc
%_iconsdir/hicolor/*/apps/%{name}.png
%_iconsdir/%{name}.png
%_iconsdir/*/%{name}.png


%files -n %lib_name
%defattr(-,root,root)
%doc AUTHORS
%_libdir/libk9copy.so.*
%attr(0644,root,root) %_libdir/libk9copy.la


%files -n %lib_name-devel
%defattr(-,root,root)
%doc AUTHORS
%_includedir/k9*.h
%_libdir/libk9copy.so


%post
%{update_menus}
%if %mdkversion > 200600
%update_icon_cache hicolor
%endif

%postun
%{clean_menus}
%if %mdkversion > 200600
%clean_icon_cache hicolor
%endif

%post -n %lib_name-devel -p /sbin/ldconfig

%postun -n %lib_name-devel -p /sbin/ldconfig

%post -n %lib_name -p /sbin/ldconfig

%postun -n %lib_name -p /sbin/ldconfig


%changelog
* Mon Jul 10 2006 Nicolas Lcureuil <neoclust@zarb.org> 1.0.4-3plf2007.0
- Fix duplicates menu entries

* Mon Jul 10 2006 Nicolas Lcureuil <neoclust@zarb.org> 1.0.4-2plf2007.0
- Fix Requires
- Use macros for icons

* Mon Jun 05 2006 Guillaume Bedot <littletux@zarb.org> 1.0.4-1plf2007.0
- 1.0.4-2
- fix summary and section for lib
- utf8 spec
- xdg menu
- add the doc

* Thu Apr 20 2006 Nicolas Lécureuil <neoclust@zarb.org> 1.0.4-0.beta3.3plf
- Fix URL

* Thu Apr 20 2006 Nicolas Lécureuil <neoclust@zarb.org> 1.0.4-0.beta3.2plf
- Fix PLF reason

* Thu Apr 20 2006 Nicolas Lécureuil <neoclust@zarb.org> 1.0.4-0.beta3.1plf
- 1.0.4-beta3

* Thu Dec 29 2005 trem <trem@zarb.org> 1.0.2-1plf
- New Release 1.0.2
- Split in app package and lib package (thanks Plouf)
- Clean the fix for qt/kde on x86_64 

* Fri Oct 14 2005 Nicolas Lécureuil <neoclust@zarb.org> 1.0.0-1plf
- New release 1.0.0

* Sat Oct  8 2005 Stefan van der Eijk <stefan@zarb.org> 0.3b-2plf
- distsuffix & mkrel
- BuildRequires

* Sun Jun 13 2005 Nicolas Lécureuil <neoclust@zarb.org> 0.3b-1plf
- 0.3b

* Tue May 17 2005 Sebastien Savarin <plouf@mandriva.org> 0.2-1plf
- First PLF release
